body {
    overflow-y:auto;
    min-height: 100%;
    height: 100%;
}

#container {
    padding: 0px;
    overflow-y: scroll;
}

.dataTables_scrollBody::-webkit-scrollbar {
    display: none;
}

.dataTables_paginate .page-item.active .page-link {
    background-color: #0064B1;
    border-color: #0064B1;
}

.page-target {
  position: relative;
  display: block;
  padding: 0.5rem 0.75rem;
  margin-left: -1px;
  line-height: 1.25;
  color: #000000;
  background-color: #fff;
  border: 1px solid #dee2e6;
}

.maincover {
    margin: 30px auto;
}

.bootstrap-table .fixed-table-loading {
    display: none;
    position: absolute;
    top: 42px;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 99;
    background-color: #fff;
    text-align: center;
}

.table-striped tbody tr:nth-of-type(even) {
    background-color: #FFFFFF;
}

div.dataTables_info {
    padding-top: 0 !important;
}

div.dataTables_wrapper div.dataTables_length select {
    width: 70px;
}

table.dataTable thead .sorting:before,
table.dataTable thead .sorting_asc:before,
table.dataTable thead .sorting_desc:before,
table.dataTable thead .sorting:after,
table.dataTable thead .sorting_asc:after,
table.dataTable thead .sorting_desc:after {
    display: none;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 26px;
}

.select2-container--default .select2-selection--single {
    height: 28px;
    border: 1px solid #ced4da;
}

.select2-container--default.select2-container--disabled .select2-selection--single {
    height: 28px;
    background-color: #e9ecef;
}

.select2-search__field {
    height: 28px;
    border: 1px solid #ced4da !important;
}

.select2-search__field:focus {
    color: #495057;
    background-color: #fff;
    border-color: #80bdff !important;
    outline: 0;
    box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
}

.select2-results__option {
    padding: 2px;
    padding-left: 10px;
    border-top: 1px solid #ced4da;
}

.select2-container--default .select2-results__option--highlighted[aria-selected] {
    color: #333 !important;
    background-color: #e9f0fd !important;
    border-color: #ccc !important;
}

.select2-container--default .select2-results__option[aria-selected=true] {
    color: #333 !important;
    background-color: #d5e4fb !important;
    border-color: #ccc !important;
}

.btn-custom {
    width: 160px;
    height: 36px;
}

.btn-custom-m {
    width: 110px;
    height: 30px;
}

.btn-custom-s {
    width: 75px;
    height: 30px;
}

#btn-cancel, #btn-reset, #btn-create, #btn-update {
    margin-right: 8px;
}

#btn-regist, #btn-update, #btn-search, #btn-delete {
    margin-left: 8px;
}

.btn-light {
    border-color: #bdbdbd !important;
}

h2 {
    margin-bottom: 0px !important;
}

#dialog-confirm-pincode #pincode {
    font-size: 20px;
    margin-top: 15px;
}

#alertWrapper {
    display: none;
    z-index: 8000;
    top: 0;
    background-color: rgba(0,0,0,.67);
    position: absolute;
    left: 0;
    height: 100vh;
    background: none !important;
}

#alertSec {
    background-color:rgba(212,87,85,0.7);
    color: #fff;
    padding: 23px 16px;
    display: table;
    width: 100%;
    table-layout: fixed;
}

#alertSec >* {
    display: table-cell;
    vertical-align: middle;
    text-align: left;
}

#alertSec >p {
    font-size: 14px;
    line-height: 1em;
    font-weight: 700;
    text-shadow: 1px 1px 5px #505050;
}

.dropdown-menu-lg .dropdown-item {
    padding: 1rem 1rem !important;
    display: flex;
    align-items: center !important;
}

.brand-link .brand-image-xl {
    max-height: 55px !important;
}

.nav-sidebar.nav-child-indent .nav-treeview {
    padding-left: 3rem !important;
}

.search-header {
    padding: 0.75rem 1.25rem 0;
    position: relative;
}

.search-header .accordion-btn {
    text-align: center;
    vertical-align: middle;
    user-select: none;
    border: none;
    padding: 0.375rem 0.75rem;
    background-color: transparent;
}

.accordion-btn svg {
    transition: all 0.3s linear;
    transform: rotate(0deg);
}

.accordion-btn.rotate svg {
  transform: rotate(180deg);
}

.search-form label {
    font-weight: normal !important;
    margin-bottom: 0 !important;
}

.js-form-main label {
    font-weight: normal !important;
    margin-bottom: 0 !important;
}

.common-header {
    font-weight: bold;
    font-size: large;
}

.nav-treeview .nav-item > .active {
    background-color: transparent !important;
    color: #007bff !important;
}

.ref-footer {
    margin-left: 60px;
    font-size: 12px;
    position: fixed;
    top: 95%;
    background-color: #fff;
}
.login-footer {
    padding: 0.1em !important;
}

.main-footer {
    padding: 0.1em !important;
}

/* 数値入力の上下矢印を隠す */
input[type="number"]::-webkit-outer-spin-button, 
input[type="number"]::-webkit-inner-spin-button { 
  -webkit-appearance: none; 
  margin: 0; 
}

.wordwrap {
    word-break: break-all;
}

.svg-disabled {
    pointer-events:none
}